## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContext.hpp File Reference

Include dependency graph for StylesheetExecutionContext.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- class StylesheetExecutionContext::ElementRecursionStackPusher
    Class for keeping track of elements pushed on the element recursion stack. More...
- class StylesheetExecutionContext::OutputContextPushPop
- class StylesheetExecutionContext::SetAndRestoreCopyTextNodesOnly
- class StylesheetExecutionContext::SetAndRestoreCurrentStackFrameIndex
- class StylesheetExecutionContext
- struct StylesheetExecutionContext::UseAttributeSetIndexes
- class StylesheetExecutionContext::XPathGuard

## Defines

- #define STYLESHEETEXECUTIONCONTEXT_HEADER_GUARD_1357924680

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class CountersTable

## Define Documentation

#define STYLESHEETEXECUTIONCONTEXT_HEADER_GUARD_1357924680

Value:

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class CountersTable

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.